Get Field Values from an External Object Record by Using the External ID Standard Field

You use the sObject Rows resource to retrieve field values from a record. Specify the fields you want to retrieve in the fields parameter and use the GET method of the resource.

In the following example, the Country__c custom field is retrieved from an external object. Notice that the id (CACTU) isn’t a Salesforce ID. Instead, it’s the External ID standard field of the external object.

Example for retrieving values from fields on the Customer external object
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/Customer__x/CACTU?fields=Country__c -H "Authorization: Bearer token"
Example request body
None required
Example response body
1{
2  "attributes" : {
3    "type" : "Customer__x",
4    "url" : "/services/data/v67.0/sobjects/Customer__x/CACTU"
5  },
6  "Country__c" : "Argentina",
7  "ExternalId" : "CACTU"
8}